Volley
Subscriptions

List subscription payments

GET/subscriptions/{id}/payments

Lists all payments that have been charged for a subscription.

AuthorizationBearer <token>

Your Volley API key as a bearer token

In: header

Path Parameters

id*string

The unique identifier of the subscription

Response Body

application/json

application/json

application/json

fetch("https://example.com/subscriptions/subscription_Rh8fXqM2vLnCK7dJpYtG4/payments", {  method: "GET",  headers: {    "Authorization": "Bearer $VOLLEY_API_KEY"  }})
{  "payments": [    {      "id": "payment_Bzv6djpVl07tmMx2Tuode",      "request_id": "request_8GbnJK6WrxGvPobCylFDO",      "amount": {        "value": "10.00 NZD",        "formatted": "$10.00"      },      "status": "awaiting-consent",      "merchant_identifier": "merchant_abc123",      "cust_info": {        "id": "custinfo_OJKskG1WEa70sQG8NV468",        "payment_id": "payment_Bzv6djpVl07tmMx2Tuode",        "email": "customer@example.com",        "phone": "+1234567890",        "first_name": "John",        "last_name": "Doe",        "address1": "Building",        "address2": "123 Main Street",        "address3": "Te Aro",        "address4": "",        "city": "Wellington",        "postcode": "6011",        "marketing_opt_in": false,        "created_at": "2025-01-15T10:30:00Z",        "updated_at": "2025-01-15T10:30:00Z"      },      "provider": "anz",      "is_test_mode": false,      "created_at": "2025-02-12T08:30:00Z",      "updated_at": "2025-02-12T08:30:00Z",      "completed_at": null    }  ]}
{  "code": "bad_request.invalid_param.amount",  "message": "Invalid format for amount (valid: '10.00 NZD')",  "params": {}}
{  "code": "bad_request.invalid_param.amount",  "message": "Invalid format for amount (valid: '10.00 NZD')",  "params": {}}